import React, { memo } from 'react';
import { PisellInformationEntry } from '@pisell/materials';
import { locales } from '@pisell/utils';
var MultiModeSearch = function MultiModeSearch(props) {
  var onChange = props.onChange;
  return /*#__PURE__*/React.createElement(PisellInformationEntry, {
    title: locales.getText('tocPay.text.walletPassCodesTitle'),
    entryModes: [{
      type: 'scanCode',
      name: locales.getText('tocPay.text.scanBarQrCode')
    }, {
      type: 'input',
      name: locales.getText('tocPay.text.enterCodes')
    }],
    searchDescribe: locales.getText('tocPay.text.searchDescribe'),
    onChange: onChange
  });
};
export default /*#__PURE__*/memo(MultiModeSearch);